Package org.eclipse.graphiti.ui.services

# Class GraphitiUi

java.lang.Object
org.eclipse.graphiti.ui.services.GraphitiUi

public class GraphitiUi extends Object
The Class GraphitiUi. This class is the main access point to all public Graphiti UI services. These services can be used to work with eclipse platform stuff. E.g. deal with images or platform extensions. Additionally, all services exposed by the graphiti plugin are accessible here.

## Constructor Summary

Constructors
Constructor
Description
`GraphitiUi()`

## Method Summary

Modifier and Type
Method
Description
`static IEmfService`
`getEmfService()`
Provides the EMF service.
`static IExtensionManager`
`getExtensionManager()`
Provides the extension manager.
`static IGaService`
`getGaService()`
`static IImageService`
`getImageService()`
Provides the image service.
`static ILinkService`
`getLinkService()`
`static IPeService`
`getPeService()`
`static IUiLayoutService`
`getUiLayoutService()`
Provides the ui layout service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GraphitiUi

public GraphitiUi()

## Method Details

### getExtensionManager

public static IExtensionManager getExtensionManager()
Provides the extension manager.

Returns:
  the extension manager
See Also:
  - `IExtensionManager`

### getImageService

public static IImageService getImageService()
Provides the image service.

Returns:
  the image service
See Also:
  - `IImageService`

### getUiLayoutService

public static IUiLayoutService getUiLayoutService()
Provides the ui layout service.

Returns:
  the ui layout service which comprises also the layout service

### getEmfService

public static IEmfService getEmfService()
Provides the EMF service.

Returns:
  the EMF service
Since:
  0.9

### getGaService

public static IGaService getGaService()

Returns:
  the full service for GraphicsAlgoritm's

### getPeService

public static IPeService getPeService()

Returns:
  the full service for PictogramElement's

### getLinkService

public static ILinkService getLinkService()

Returns:
  the link service (for links between PictogramElement's and BusinessObject's)